- NAME
- DESCRIPTION
- VARIABLES
- METHODS
  - new

# NAME

RT::Interface::Web::Scrubber::Permissive

# DESCRIPTION

This is a subclass of RT::Interface::Web::Scrubber. As a permissive version, it's more suitable for trusted content. It permits nearly all items allowed in HTML body except <script>, <style> and comments by default.

# VARIABLES

These variables can be altered by creating a `Permissive_Local.pm` file, containing something of the form:

        package RT::Interface::Web::Scrubber::Permissive;

        # Deny the "style" attribute
        $ATTRIBUTES{style} = 0;

`@DENIED_TAGS`

  Passed to "deny" in HTML::Scrubber.

`%ATTRIBUTES`

  Passed into "default" in HTML::Scrubber.

`%RULES`

  Passed to "rules" in HTML::Scrubber.

# METHODS

## new

Returns a new RT::Interface::Web::Scrubber::Permissive object, configured with the above globals. Takes no arguments.

← Back to index